Bug 718976 - [abrt] libreoffice-writer-3.3.3.1-1.fc15: SwTxtSizeInfo::GetMultiCreator (SIGSEGV)
[abrt] libreoffice-writer-3.3.3.1-1.fc15: SwTxtSizeInfo::GetMultiCreator (SIG...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:c4263b710f7e5c43d03c452ccb1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-05 06:54 EDT by Paulo Fidalgo
Modified: 2011-07-12 01:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: libreoffice-3.3.3.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 01:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (67.60 KB, text/plain)
2011-07-05 06:55 EDT, Paulo Fidalgo
no flags Details
File: backtrace (117.88 KB, text/plain)
2011-07-05 06:55 EDT, Paulo Fidalgo
no flags Details

  None (edit)
Description Paulo Fidalgo 2011-07-05 06:54:57 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/swriter.bin -writer file:///tmp/WIT-LAB-WCAS-TS-Audio_Video_Codec_support.docx
comment:        I've opened a docx document, resized the window and then it crashed.
component:      libreoffice
crash_function: boost::shared_ptr<SfxItemSet const>::unspecified_bool_type
executable:     /usr/lib64/libreoffice/program/swriter.bin
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-writer-3.3.3.1-1.fc15
reason:         Process /usr/lib64/libreoffice/program/swriter.bin was killed by signal 11 (SIGSEGV)
time:           Tue Jul  5 11:20:27 2011
uid:            500
username:       fidalgo
xsession_errors: 

backtrace:      Text file, 120714 bytes
maps:           Text file, 69222 bytes

dso_list:
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1307890131
:/usr/lib64/libreoffice/basis3.3/program/libucpfile1.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libcrypt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309165313
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1307890492
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308751322
:/usr/lib64/libreoffice/basis3.3/program/libfwelx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libmsfilterlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/usr/lib64/libreoffice/basis3.3/program/libxstor.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libsvtlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1307890275
:/usr/lib64/libicudata.so.44.2 libicu-4.4.2-7.fc15.x86_64 (Fedora Project) 1307890134
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307890315
:/usr/share/fonts/dejavu/DejaVuSans-BoldOblique.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1307890383
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1307890383
:/usr/lib64/libreoffice/basis3.3/program/libsofficeapp.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libi18nisolang1gcc3.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/fsstorage.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libssl.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1307890473
:/usr/lib64/libreoffice/basis3.3/program/configmgr.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libfileacc.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/ure/lib/libuno_salhelpergcc3.so.3 libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307890315
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1307890085
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1307890269
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308751322
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.0-2.fc15.x86_64 (Fedora Project) 1307890089
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309767157
:/usr/lib64/libreoffice/basis3.3/program/libfwklx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libvclplug_gtklx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libooxlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libicule.so.44.2 libicu-4.4.2-7.fc15.x86_64 (Fedora Project) 1307890134
:/usr/lib64/libxslt.so.1.1.26 libxslt-1.1.26-8.fc15.x86_64 (Fedora Project) 1307890104
:/usr/lib64/libreoffice/basis3.3/program/libuuilx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1307890086
:/usr/share/fonts/sil-padauk/Padauk.ttf sil-padauk-fonts-2.4-7.fc15.noarch (Fedora Project) 1307893091
:/usr/lib64/libreoffice/ure/lib/libstore.so.3 libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1307890383
:/usr/lib64/libreoffice/basis3.3/program/ucpexpand1.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1307890279
:/usr/lib64/libreoffice/basis3.3/program/libucpchelp1.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1307890107
:/usr/lib64/libreoffice/basis3.3/program/libxolx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libtllx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.x86_64 (Fedora Project) 1307890154
:/usr/lib64/libreoffice/basis3.3/program/fastsax.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/ure/lib/libuno_cppu.so.3 libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libreoffice/basis3.3/program/libsblx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libi18nutilgcc3.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307891952
:/usr/lib64/libreoffice/basis3.3/program/libpackage2.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1307890467
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/usr/lib64/libreoffice/basis3.3/program/libwriterfilterlx.so libreoffice-writer-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751393
:/usr/lib64/libreoffice/basis3.3/program/libtklx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/gtk-2.0/2.10.0/engines/liboxygen-gtk.so oxygen-gtk-1.0.5-1.fc15.x86_64 (Fedora Project) 1309767249
:/usr/lib64/libgraphite.so.3.0.0 silgraphite-2.3.1-4.fc15.x86_64 (Fedora Project) 1307891295
:/usr/lib64/libreoffice/basis3.3/program/libi18npaperlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/oovbaapi.rdb libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libcanvastoolslx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/desktopbe1.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libswlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/share/fonts/dejavu/DejaVuSans-Oblique.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1307890383
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/usr/lib64/libreoffice/basis3.3/program/libsaxlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/usr/lib64/libreoffice/basis3.3/program/libdeploymentmisclx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libavahi-common.so.3.5.3 avahi-libs-0.6.30-3.fc15.x86_64 (Fedora Project) 1307890125
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1307890090
:/usr/lib64/libreoffice/basis3.3/program/libutllx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/ure/lib/reflection.uno.so libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libreoffice/ure/lib/libreg.so.3 libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libreoffice/basis3.3/program/libdrawinglayerlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libhelplinkerlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/ure/lib/stocservices.uno.so libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libreoffice/basis3.3/program/libunoxmllx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1307890279
:/lib64/libutil-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/usr/lib64/libreoffice/basis3.3/program/liblocaledata_en.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/ure/share/misc/types.rdb libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libreoffice/basis3.3/program/libavmedialx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1307890091
:/usr/lib64/libreoffice/basis3.3/program/libsotlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.x86_64 (Fedora Project) 1307890099
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1307890311
:/usr/lib64/libreoffice/ure/share/misc/services.rdb libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libreoffice/basis3.3/program/libevtatt.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1307890102
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1307890270
:/usr/lib64/libreoffice/ure/lib/libuno_cppuhelpergcc3.so.3 libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307890315
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1307890329
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309165398
:/usr/lib64/libreoffice/basis3.3/program/libcppcanvaslx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/liblnglx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libeditenglx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libgnutls.so.26.16.14 gnutls-2.10.5-1.fc15.x86_64 (Fedora Project) 1307890155
:/usr/lib64/libreoffice/basis3.3/program/offapi.rdb libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libvclplug_genlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1307890271
:/usr/lib64/libreoffice/basis3.3/program/libucb1.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libsvxlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/ure/lib/libuno_sal.so.3 libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/lib64/libkrb5.so.3.3 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1307890331
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1307890088
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1307890089
:/usr/lib64/libreoffice/basis3.3/program/services.rdb libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1307890331
:/usr/lib64/libreoffice/basis3.3/program/localebe1.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.x86_64 (Fedora Project) 1307890098
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1307890492
:/usr/lib64/libreoffice/basis3.3/program/libucbhelper4gcc3.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1307890094
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1307890274
:/usr/lib64/libreoffice/basis3.3/program/libvcllx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-2.32.3-1.fc15.x86_64 (Fedora Project) 1307890926
:/usr/lib64/libreoffice/ure/lib/libgcc3_uno.so libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-9.fc15.x86_64 (Fedora Project) 1307890084
:/usr/lib64/libreoffice/basis3.3/program/libfwilx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/ure/lib/introspection.uno.so libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libcups.so.2 cups-libs-1:1.4.6-15.fc15.x86_64 (Fedora Project) 1307890338
:/usr/lib64/libreoffice/basis3.3/program/libfrmlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.x86_64 (Fedora Project) 1307890035
:/usr/lib64/libORBit-2.so.0.1.0 ORBit2-2.14.19-2.fc15.x86_64 (Fedora Project) 1307890424
:/usr/lib64/libreoffice/basis3.3/program/libsfxlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308148431
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1307890302
:/usr/lib64/libreoffice/basis3.3/program/libsvxcorelx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libicui18n.so.44.2 libicu-4.4.2-7.fc15.x86_64 (Fedora Project) 1307890134
:/usr/lib64/libreoffice/basis3.3/program/libucppkg1.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/usr/lib64/libreoffice/ure/lib/libjvmaccessgcc3.so.3 libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1307890331
:/usr/lib64/libreoffice/basis3.3/program/i18npool.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307890315
:/usr/lib64/libreoffice/basis3.3/program/ucpgio1.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1307890104
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1307890278
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1307890141
:/usr/lib64/libreoffice/ure/lib/bootstrap.uno.so libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libreoffice/program/swriter.bin libreoffice-writer-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751393
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1307890268
:/usr/lib64/libreoffice/basis3.3/program/liblocaledata_euro.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libfwllx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/share/fonts/liberation/LiberationSerif-Regular.ttf liberation-serif-fonts-1.07.0-1.fc15.noarch (Fedora Project) 1307891105
:/usr/lib64/libreoffice/basis3.3/program/libspllx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1307890328
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307891952
:/usr/lib64/libicuuc.so.44.2 libicu-4.4.2-7.fc15.x86_64 (Fedora Project) 1307890134
:/usr/lib64/libreoffice/basis3.3/program/libxcrlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/deploymentlx.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libreoffice/basis3.3/program/libsvllx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.2.fc15.x86_64 (Fedora Project) 1308751314
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307890315
:/usr/lib64/libreoffice/share/extensions/presenter-screen/PresenterScreen.uno.so libreoffice-presenter-screen-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751379
:/usr/lib64/libreoffice/basis3.3/program/sax.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309767173
:/usr/lib64/libreoffice/basis3.3/program/libfilterconfig1.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1307890092
:/usr/lib64/libavahi-client.so.3.2.9 avahi-libs-0.6.30-3.fc15.x86_64 (Fedora Project) 1307890125
:/usr/lib64/libreoffice/basis3.3/program/libbasegfxlx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9-7.fc15.x86_64 (Fedora Project) 1307890331
:/usr/lib64/libreoffice/basis3.3/program/libdbtoolslx.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/lib64/libdb-4.8.so db4-4.8.30-3.fc15.x86_64 (Fedora Project) 1307890097
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1307890473
:/usr/lib64/libreoffice/ure/lib/libjvmfwk.so.3 libreoffice-ure-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751301
:/usr/lib64/libreoffice/basis3.3/program/libcomphelp4gcc3.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1307890492
:/usr/lib64/libreoffice/basis3.3/program/gconfbe1.uno.so libreoffice-core-1:3.3.3.1-1.fc15.x86_64 (Fedora Project) 1308751371
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1307890472

environ:
:XSUNTRANSPORT=shmem
:ORBIT_SOCKETDIR=/tmp/orbit-fidalgo
:KDE_MULTIHEAD=false
:SSH_AGENT_PID=1291
:XDG_SESSION_ID=1
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=wit
:GPG_AGENT_INFO=/tmp/gpg-Q0a9IS/S.gpg-agent:1322:1
:SHELL=/bin/bash
:XDG_MENU_PREFIX=kde4-
:XDM_MANAGED=method=classic
:XDG_SESSION_COOKIE=ff453ac80d315125d16c41630000000f-1309853169.599327-1743164986
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/fidalgo/.gtkrc-2.0:/home/fidalgo/.gtkrc-2.0-kde4:/home/fidalgo/.kde/share/config/gtkrc-2.0
:LIBRARY_PATH=/usr/lib64/thunderbird-3.1:/usr/lib64/thunderbird-3.1/components:/usr/lib64/thunderbird-3.1
:XRE_PROFILE_NAME=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/fidalgo/.gtkrc::/home/fidalgo/.kde/share/config/gtkrc
:GS_LIB=
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:XRE_IMPORT_PROFILES=
:MOZILLA_FIVE_HOME=/usr/lib64/thunderbird-3.1
:KDE_FULL_SESSION=true
:USER=fidalgo
:XRE_PROFILE_LOCAL_PATH=
:LD_LIBRARY_PATH=/usr/java/jdk1.6.0_25/jre/lib/amd64/client:/usr/java/jdk1.6.0_25/jre/lib/amd64/native_threads:/usr/java/jdk1.6.0_25/jre/lib/amd64:/usr/lib64/thunderbird-3.1:/usr/lib64/thunderbird-3.1/plugins:/usr/lib64/thunderbird-3.1
:XRE_START_OFFLINE=
:ORACLE_SID=XE
:SSH_AUTH_SOCK=/tmp/ssh-gtbzkN1253/agent.1253
:LIBPATH=/usr/lib64/thunderbird-3.1:/usr/lib64/thunderbird-3.1
:GNOME_DISABLE_CRASH_DIALOG=1
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1406,unix/unix:/tmp/.ICE-unix/1406
:MOZ_APP_LAUNCHER=/usr/bin/thunderbird
:ADDON_PATH=/usr/lib64/thunderbird-3.1
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/usr/lib/oracle/xe/app/oracle/product/10.2.0/server/bin:/usr/java/jdk1.6.0_25/bin:/usr/java/jdk1.6.0_25/jre/bin
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/fidalgo
:TNS_ADMIN=/home/fidalgo
:PWD=/home/fidalgo/Documents
:JAVA_HOME=/usr/java/jdk1.6.0_25
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDE_SESSION_UID=500
:XRE_PROFILE_PATH=
:KDEDIRS=/usr
:XSUNSMESIZE=512
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/fidalgo
:SHLVL=3
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=dmz
:SAL_ENABLE_FILE_LOCKING=1
:DYLD_LIBRARY_PATH=/usr/lib64/thunderbird-3.1:/usr/lib64/thunderbird-3.1
:LOGNAME=fidalgo
:QTLIB=/usr/lib64/qt-3.3/lib
:MOZ_LAUNCHED_CHILD=
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-c7ptTbpGb8,guid=f52c47527170bfec7fea8f3f00000026
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:NO_EM_RESTART=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/thunderbird-3.1:/usr/lib64/thunderbird-3.1
:MOZ_CRASHREPORTER_RESTART_ARG_1=
:WINDOWPATH=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/thunderbird-3.1/thunderbird
:XRE_BINARY_PATH=
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/fidalgo
:QT_PLUGIN_PATH=/home/fidalgo/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:ORACLE_HOME=/usr/lib/oracle/xe/app/oracle/product/10.2.0/server
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/fidalgo/.thunderbird/Crash Reports'
:XUL_APP_FILE=
:LC_TIME=pt_PT
:NO_AT_BRIDGE=1
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/tmp/kde-fidalgo/xauth-500-_0
:_=/usr/lib64/libreoffice/program/swriter.bin

var_log_messages:
:Jul  5 11:20:27 wit kernel: [ 8095.965151] swriter.bin[16952]: segfault at 80 ip 0000003b2dc44cd2 sp 00007ffff1d0c880 error 4 in libswlx.so[3b2d800000+b48000]
:Jul  5 11:20:30 wit abrt[16982]: saved core dump of pid 16952 (/usr/lib64/libreoffice/program/swriter.bin) to /var/spool/abrt/ccpp-2011-07-05-11:20:27-16952.new/coredump (107909120 bytes)
Comment 1 Paulo Fidalgo 2011-07-05 06:55:01 EDT
Created attachment 511294 [details]
File: maps
Comment 2 Paulo Fidalgo 2011-07-05 06:55:04 EDT
Created attachment 511295 [details]
File: backtrace
Comment 3 Caolan McNamara 2011-07-05 07:05:15 EDT
Clear GetTxtNode return NULLED at /usr/src/debug/libreoffice-3.3.3.1/sw/source/core/text/pormulti.cxx:945 so we can put in an immediate workaround, but there might be a lot more.

Are you able to reproduce this bug with a given document ?, if you can please attach that document here
Comment 4 Paulo Fidalgo 2011-07-05 07:17:43 EDT
Hi!

I can reproduce the bug sometimes. I can't make this document public, although I will find if I could provide it.
Comment 5 Caolan McNamara 2011-07-05 09:29:09 EDT
have a plausible fix anyway
Comment 6 Fedora Update System 2011-07-06 03:53:28 EDT
libreoffice-3.3.3.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.3.1-2.fc15
Comment 7 Fedora Update System 2011-07-06 17:32:04 EDT
Package libreoffice-3.3.3.1-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.3.1-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreoffice-3.3.3.1-2.fc15
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-07-12 01:08:28 EDT
libreoffice-3.3.3.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.